  /**
    * @file FlickerPIC.c
    * @brief This module contains the implementation of the flicker hardware
    * function
    *
    * @author Stefan Popovic
    *
    * @date 11/10/2016
    *
    * @version 0.1a
    *
    * @copyright GNU Public License
    *
    * Test configuration:
    *
    * MCU: ATMEGA32
    * Dev.Board: EasyPIC v7 Connectivity
    * External Clock 8.0000 MHz
    * Ext. Modules: Flicker Click Board
    * SW: MikroC PRO for PIC v6.6.3
    *
    * NOTES:
      - Flicker board is essentially timer delay relay with two potentiometers: 
        P1 for ON and P2 for OFF timer with the ON time range of (0.1 - 6) sec
      - By using potentiometers P1 and P2, you can adjust the ON / OFF period
      - Place Flicker click board on mikroBUS slot 2
      - Turn ON the PORTE LEDs at SW3.1
      - Put button jumper (J17) into VCC position and pull-down PORTE pin 2
      - FON: RE2/Slot 2


    /**************************************************************************
    * Module Preprocessor Constants
    **************************************************************************/


    /**************************************************************************
    * Module Preprocessor Macros
    **************************************************************************/


    /**************************************************************************
    * Module Typedefs
    **************************************************************************/


     /**************************************************************************
     * Includes
     **************************************************************************/


    /**************************************************************************
    * Module Variable Definitions
    **************************************************************************/

    void main()
    {
      ANSELE = 0;            // Configure PORTE pins as digital
      TRISE2_bit = 1;        // set RE2 pin as input
      PORTE = 0;
      while(1);              // Endless loop
                             // While Button is held, the onboard LED will blink according to ON/OFF timer
                             // For example, connect beeper from digital multimeter on terminal
    }